Skip to main content
`Ctrl`+`K`

# PetscSFBcastEnd

end a broadcast and reduce operation started with `PetscSFBcastBegin()` or `PetscSFBcastWithMemTypeBegin()`

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFBcastEnd(PetscSF sf, MPI_Datatype unit, const void *rootdata, void *leafdata, MPI_Op op)

Collective

## Input Parameters

- sf - star forest

- unit - data type

- rootdata - buffer to broadcast

- op - operation to use for reduction

## Output Parameter

- leafdata - buffer to be reduced with values from each leaf’s respective root

## See Also

PetscSF - an alternative to low-level MPI calls for data communication, `PetscSF`, `PetscSFSetGraph()`, `PetscSFReduceEnd()`

## Level

intermediate

## Location

src/vec/is/sf/interface/sf.c

## Examples

src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex14.c
src/dm/impls/plex/tutorials/ex14f90.F90
src/vec/is/sf/tutorials/ex2.c
src/ts/tutorials/ex11_sa.c
src/vec/is/sf/tutorials/ex3.c
src/vec/is/sf/tutorials/ex1f.F90
src/vec/is/sf/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex15.c

## Implementations

PetscSFBcastEnd_Basic() in src/vec/is/sf/impls/basic/sfbasic.c
PetscSFBcastEnd_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages